Bug 625549 - [abrt] OpenLP-1.9.2.1-1.fc13: theme.py:156:__init__:AttributeError: 'Theme' object has no attribute '_set_from_xml'
[abrt] OpenLP-1.9.2.1-1.fc13: theme.py:156:__init__:AttributeError: 'Theme' o...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: OpenLP (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: TR Bentley
Fedora Extras Quality Assurance
abrt_hash:4d981964
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 15:43 EDT by Bug Reporter
Modified: 2010-10-08 06:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 06:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.35 KB, text/plain)
2010-08-19 15:43 EDT, Bug Reporter
no flags Details

  None (edit)
Description Bug Reporter 2010-08-19 15:43:13 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/openlp
component: OpenLP
executable: /usr/bin/openlp
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: OpenLP-1.9.2.1-1.fc13
reason: theme.py:156:__init__:AttributeError: 'Theme' object has no attribute '_set_from_xml'
release: Fedora release 13 (Goddard)
time: 1282246953
uid: 500

backtrace
-----
theme.py:156:__init__:AttributeError: 'Theme' object has no attribute '_set_from_xml'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/openlp/core/ui/thememanager.py", line 303, in onImportTheme
    self.unzipTheme(file, self.path)
  File "/usr/lib/python2.6/site-packages/openlp/core/ui/thememanager.py", line 433, in unzipTheme
    filexml = self.migrateVersion122(xml_data)
  File "/usr/lib/python2.6/site-packages/openlp/core/ui/thememanager.py", line 485, in migrateVersion122
    theme = Theme(xml_data)
  File "/usr/lib/python2.6/site-packages/openlp/core/theme/theme.py", line 156, in __init__
    self._set_from_xml(BLANK_STYLE_XML)
AttributeError: 'Theme' object has no attribute '_set_from_xml'

Local variables in innermost frame:
xml: u'<?xml version="1.0" encoding="iso-8859-1"?>\r\n<Theme>\r\n  <Name>harvest</Name>\r\n  <BackgroundType>2</BackgroundType>\r\n  <BackgroundParameter1>03harvest.jpg</BackgroundParameter1>\r\n  <BackgroundParameter2/>\r\n  <BackgroundParameter3/>\r\n  <FontName>Franklin Gothic Demi</FontName>\r\n  <FontColor>clWhite</FontColor>\r\n  <FontProportion>48</FontProportion>\r\n  <Shadow>1</Shadow>\r\n  <ShadowColor>clBlack</ShadowColor>\r\n  <Outline>1</Outline>\r\n  <OutlineColor>clBlack</OutlineColor>\r\n  <FontAlign>31</FontAlign>\r\n</Theme>\r\n'
self: <openlp.core.theme.theme.Theme object at 0xa6f74ac>
Comment 1 Bug Reporter 2010-08-19 15:43:15 EDT
Created an attachment (id=439761)
File: backtrace
Comment 2 TR Bentley 2010-08-21 06:31:16 EDT
Can you provide a file this happens on and how to reproduce.
Where you upgrading a theme from 1.x?


Thanks
Comment 3 Nils Philippsen 2010-08-27 07:26:52 EDT
Setting needinfo flag.
Comment 4 TR Bentley 2010-10-08 06:38:17 EDT
OpenLP 1.9.3 has been released and will fix this bug.

Note You need to log in before you can comment on or make changes to this bug.